Summary:	mkfontscale and mkfontdir applications - create an index of font files for X
Summary(pl.UTF-8):	Aplikacje mkfontscale i mkfontdir - tworzenie indeksu plików fontów dla X
Name:		xorg-app-mkfontscale
Version:	1.2.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/mkfontscale-%{version}.tar.bz2
# Source0-md5:	215940de158b1a3d8b3f8b442c606e2f
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	freetype-devel >= 2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libfontenc-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.25
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	zlib-devel
Provides:	xorg-app-mkfontdir = %{version}-%{release}
Obsoletes:	xorg-app-mkfontdir < 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mkfontscale creates the fonts.scale and fonts.dir index files used by
the legacy X11 font system.

mkfontdir creates the fonts.dir files needed by the legacy X server
core font system. The current implementation is a simple wrapper
script around the mkfontscale program, which must be installed first.

%description -l pl.UTF-8
mkfontscale tworzy pliki indeksów fonts.scale i fonts.dir używane
przez stary system fontów X11.

mkfontdir tworzy pliki fonts.dir wymagane przez stary system fontów
serwera X. Aktualna implementacja to prosty skrypt obudowujący program
mkfontscale, który musi być wcześniej zainstalowany.

%prep
%setup -q -n mkfontscale-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-bzip2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/mkfontdir
%attr(755,root,root) %{_bindir}/mkfontscale
%{_mandir}/man1/mkfontdir.1*
%{_mandir}/man1/mkfontscale.1*
%changelog
* Sat Jun 01 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-mkfontscale.git;a=log;h=master

* Fri Mar 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 02b28b6
- updated to 1.2.1

* Tue Mar 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 1bef6f6
- updated to 1.2.0; now contains also mkfontdir

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 9ed84f4
- updated to 1.1.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a31eee4
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jan 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f6bc1c3
- up to 1.1.2

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 7960810
- fixed build without manx suffix

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 9703df5
- updated to 1.1.1

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ae4672
- up to 1.1.0

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 212cb7a
- updated to 1.0.9

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 8e17967
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> ea66e17
- updated to 1.0.8

* Mon Oct 12 2009 Jakub Bogusz <qboosh@pld-linux.org> 60d29e1
- updated util-macros version
- enabled bzip2 support (PLD libXont already has it)
- better descs

* Sun Oct 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 496175c
- up to 1.0.7

* Thu Dec 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 22bdeac
- updated to 1.0.6

* Mon May 12 2008 Jakub Bogusz <qboosh@pld-linux.org> f109e3f
- updated to 1.0.5

* Thu Mar 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e7b4b33
- up to 1.0.4

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 8bc3881
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fadeb77
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5809a31
- converted to UTF-8

* Wed Nov 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> eccc601
- up to 1.0.3

